¿Cómo instalo Adobe Flash Player?

101

He tenido problemas importantes al mirar videos flash en Ubuntu de 64 bits. ¿Alguien sabe de una buena manera de ejecutar flash en la plataforma?

    
pregunta Steven Oxley 28.07.2010 - 21:27

20 respuestas

81

para 11.04 y antes:

¿Lo está instalando desde el Centro de software de Ubuntu?

  1. Vaya a Aplicaciones- & gt; Centro de software de Ubuntu.
  2. Haz clic en Socios canónicos
  3. Haga clic en Adobe Flash Plugin 11 y haga clic en instalar.

Nota: este es el método que uso en mi instalación de Ubuntu de 64 bits y aún no me ha fallado.

    
respondido por el Nathan Osman 28.07.2010 - 21:31
68

para 11.10 y posterior

Inicie Software Center desde el Iniciador y busque flash

Se encontrarán dos entradas. El primero es el envoltorio de la versión flash de 32 bits de Adobe. El segundo es la versión flash de 64 bits.

Seleccione la segunda entrada de flash: si se ve la siguiente imagen, significa que aún no ha habilitado previamente el Repositorio de socios de Canonical.

Haz clic en Más información

... y haga clic en Usar esta fuente para habilitar el Repositorio de socios de Canonical

vea el final de esta respuesta para el informe de errores

Haz clic en Instalar

Haga clic en el botón Instalar e ingrese su contraseña cuando se le solicite. Nota: debe tener permiso para instalar el software.

La instalación continuará:

Una vez que esté completo: inicie Firefox y busque su video Flash. Haga clic con el botón derecho y confirme que la última versión de Flash se haya instalado correctamente.

Nota: las imágenes están sujetas a cambios. La versión de 64 bits solo se ha empaquetado recientemente en la última semana antes del lanzamiento de Oneiric. Actualmente existe un problema:

  1. enlace

Mientras tanto, use el primer plugin de 32 bits "Multiverse" en las imágenes de arriba o use adobe-flashplugin

sudo apt-get install adobe-flashplugin
    
respondido por el fossfreedom 10.10.2011 - 00:52
31

Así es como instalar Adobe Flash Plugin para Firefox:

  1. Vaya a esta página y seleccione la opción .tar.gz para otro Linux. Descargar el archivo.
  2. Desempaquete el complemento tar.gz y copie los archivos en la ubicación adecuada.
  3. Guarde el complemento tar.gz localmente y observe la ubicación en la que se guardó el archivo.
  4. Inicie la terminal y cambie los directorios a la ubicación donde se guardó el archivo.
  5. Desempaquetar el archivo tar.gz. Una vez desempaquetado, verá lo siguiente:

    • libflashplayer.so
    • / usr
  6. Identifique la ubicación del directorio de complementos del navegador, según su distribución de Linux y su versión de Firefox. (Generalmente es /usr/lib/mozilla/plugins/ )
    Para la ruta ubuntu 14.04 es: /usr/lib/firefox/browser/plugins

  7. Copia libflashplayer.so en el directorio de complementos del navegador apropiado. En el prompt escriba:

    sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Copie los archivos de configuración de Configuración local de Flash Player en el directorio / usr. En el prompt escriba:

    sudo cp -r usr/* /usr
    
  9. Ahora reinicia tu navegador.

respondido por el ignite 04.09.2012 - 18:36
21

Ya que ha declarado que esta es la primera vez que usa ubuntu. Sugeriría que instale el paquete ubuntu-restricted-extras, esto incluye muchas cosas útiles como adobe flash y codecs y fuentes MS, etc.

puedes hacer esto de muchas maneras.

centro de software: haga clic en este enlace:

o en un terminal: escriba sudo apt-get install ubuntu-restricted-extras

sináptica: busque el paquete ubuntu-restricted-extras haga clic derecho en el paquete y seleccione instalar, y luego seleccione marcar. después de hacer clic en el botón Aplicar, todo se instalará.

    
respondido por el Terry 02.04.2011 - 16:02
13

Hay una solución simple para este problema.

Abra su Firefox y vaya a YouTube . Haga clic en cualquier video. Definitivamente no se reproducirá porque no tienes instalado ningún reproductor flash. Pero Firefox te promocionará a install missing plug-in en la parte superior. Simplemente haga clic en él y siga el procedimiento. Después de eso, tu video comenzará a reproducirse. Asegúrate de tener instalado el último navegador Firefox .

O prueba esto en tu terminal

sudo apt-get install flashplugin-installer
    
respondido por el Kaktarua 04.09.2012 - 18:38
5

Obtenga mi extensión de Flash-Aid para Firefox. Se encargará de descargar e instalar la versión adecuada para la arquitectura de su sistema y también eliminará los complementos conflictivos. Si está en 64 bits, también permite instalar la versión de vista previa de 64 bits, que ofrece mejores resultados que la de 32 bits con nspluginwrapper.

Por cierto, si no puede copiar nada a la carpeta ~ / .mozilla / plugins, entonces debe verificar la propiedad de la carpeta ~ / .mozilla. Debería permitir copiar cualquier cosa allí. A menos que, por supuesto, se refiera a una carpeta del sistema fuera de su directorio de inicio, que requiere privilegio de root.

    
respondido por el lovinglinux 02.12.2010 - 13:40
4

Depende de qué navegador estés usando. Google Chrome (no Chromium) tiene reproductor Flash por defecto.

Vaya a www.google.com/chrome y haga clic en descargar Chrome Elija 64-bit .deb (cualquiera que lea esto usando máquinas de 32 bits debe seleccionar el archivo .deb de 32 bits)

Cuando hace clic en el archivo .deb cuando se ha descargado, se abrirá en el Centro de software. Ahora haga clic en instalar y cuando haya terminado, puede encontrar el navegador en Aplicaciones - & gt; Internet.

    
respondido por el Mozart321 02.04.2011 - 22:00
2

Utilice el Centro de software de Ubuntu (en el menú de aplicaciones). En el campo de entrada de texto (del cuadro de búsqueda), puede buscar "flash" y los resultados llenarán un complemento de Adobe Flash (tenga en cuenta el logotipo de Adobe). Elija eso y siga las instrucciones para usar la fuente.

    
respondido por el Daniel T Chen 01.12.2010 - 20:14
2

Verifique qué directorio de "complementos" se está utilizando. Tuve que pasar una buena hora una vez solo hojeando todos los directorios de los complementos hasta que encontré cuáles mi firefox realmente estaba leyendo, y luego ln -s ed todos ellos para apuntar a uno común.

Al final del día, es posible que lo dejes caer en el lugar equivocado.

También inicia Firefox desde la línea de comandos, es posible que veas errores. Ejemplo es ejecutar un reproductor flash x86 en un navegador x64 (no el sistema operativo) y viceversa. Desde la línea de comando ( %> firefox ) debería ver las líneas de registro de inicialización del complemento. (quizás intente esto primero: P)

También cualquier cosa en /usr/lib/... es propiedad de root, por lo que deberías sudo cp libflashplayer.so /usr/lib/firefox/plugin donde .../firefox/plugin points a la ubicación del directorio de plugins de Firefox.

    
respondido por el Dmitriy Likhten 01.12.2010 - 20:51
2

Solución definitiva para Flash de 64 bits en 11.10

Arreglé Flash de 64 bits en mis sistemas 11.10 sin envoltorios. Si sigue las soluciones mencionadas anteriormente, terminará con la versión de 32 bits y los contenedores.

Nota: la mayor parte de esto se puede realizar también en un terminal, en ese caso no es necesario que instale Synaptic. Además, podría ser que basta con ejecutar los pasos 5, 6 y 8, pero aún no lo he probado.

  1. Instale Synaptic (Software Center no muestra el paquete que necesita, no en los elementos principales ni en los elementos técnicos, ni siquiera después de que se haya instalado)
  2. Inicie Synaptic y busque 'flash'
  3. Ordenar por estado instalado
  4. Elimina todos los paquetes relacionados con flash (como flashplugin-downloader: i386, flashplugin-installer, ndiswrapper-common, etc.). Si no hay nada en la lista, probablemente no tenga instalado Flash. En ese caso, solo avance al siguiente paso.
  5. Habilite el repositorio de socios de Canonical (consulte las publicaciones anteriores sobre cómo hacerlo)
  6. Actualice la lista de paquetes (no cuente con que Software Center lo haga por usted, a veces no) haciendo clic en 'Recargar' en
  7. Buscar 'flash' otra vez
  8. Instala el paquete 'adobe-flashplugin'. Si no está en la lista, algo salió mal al actualizar las listas de paquetes. Intente salir y reiniciar Synapic, luego haga clic en 'Recargar'.

Se instalará automáticamente un paquete adicional, 'adobe-flash-properties-gtk'. Nada más.

Ahora tendrá Flash completo de 64 bits sin envoltorios u otra basura tanto en Firefox como en Chromium. Sin embargo, se requiere reiniciar su (s) navegador (s). Si aún no funciona, intente reiniciar (puede haber alguna referencia falsa a los complementos anteriores en alguna parte).

    
respondido por el iGadget 12.11.2011 - 13:18
2
sudo apt-get remove --purge adobe-flashplugin flashplugin* nspluginwrapper
sudo apt-get install --reinstall adobe-flashplugin

Ref: enlace

    
respondido por el Coc 20.11.2011 - 11:21
2

Esto es lo que debe hacer: de forma predeterminada, Ubuntu viene con solo el software de código abierto habilitado (creo que ese es el caso, de todos modos).

La forma de habilitar otras cosas (como Flash, Java y soporte para grabar o reproducir archivos MP3, que NO es de código abierto) es ir a su Centro de Software, vaya a los menús (desafortunadamente no estoy actualmente en Ubuntu y no puede decirle qué menú) y buscar Fuentes de software.

Haz clic en él y accederás a una ventana que le indica a Ubuntu qué puede instalar por ti. Delante de usted debe haber una lista de cinco "universos" diferentes. Lo que debe hacer es habilitar los dos que no están habilitados actualmente.

Después de eso, debería preguntarle si desea volver a cargar sus repositorios, pero si no lo hace, ingrese en una línea de comando y escriba

sudo apt-get update

y deja que termine. Entonces debería poder encontrar el flash en el Centro de Software o en la línea de comando. Alternativamente, puede instalar el paquete ubuntu-restricted-extras, que le proporcionará las tres cosas que mencioné anteriormente.

¡Buena suerte!

    
respondido por el Noah 04.09.2012 - 18:14
2

Hice todas las sugerencias posibles que pude encontrar en un esfuerzo por hacer que flash funcione en Chrome en mi 13.10 instalación de 64 bits. Nada funcionó. Finalmente tropecé con la respuesta de Pepper Flash.

Hay instrucciones completas y bien redactadas en (el enlace es directo)

ubuntuhandbook.org

Detallan la adición del repositorio, la actualización de apt, la instalación de Pepper y la modificación de la configuración de Chrome. Lo que hice diferente de sus instrucciones fue cambiar al directorio / etc / chromium-browser y emitir el comando

sudo gedit default

que me permitió agregar un comentario al archivo además de la información .sh necesaria, así que las últimas dos líneas de mi archivo predeterminado modificado fueron:

# enable Pepper Flash Player Plugin
. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Esperemos que esta solución funcione durante un tiempo.

    
respondido por el zenpistolero 03.05.2014 - 01:58
2

Los videos flash no se reproducirán en una nueva instalación de Ubuntu 14.04, incluso con adobe-flashplugin desde el repositorio "asociado": se obtuvo una pantalla negra en youtube (excepto después de tener configurarlo para usar HTML5 ), dailymotion, etc. Instalar freshplayerplugin (aparentemente un contenedor para el reproductor flash de Chrome) resolvió el problema:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install freshplayerplugin
    
respondido por el Skippy le Grand Gourou 22.08.2015 - 09:33
1

En caso de que el

sudo apt-get install flashplugin-nonfree

no funciona (como en mi caso y no sé por qué ...), es posible que desee probar Opera como su navegador. Es el único que funciona para mí.

PD: No quiero anunciar Opera a un navegador, es solo que esta fue la única solución que de alguna manera funcionó para mí.

    
respondido por el Remi Meier 14.08.2010 - 15:19
1

Acabo de encontrar una solución para aquellos que tienen flash trabajando en Firefox pero no en Chromium. Se basa en el hecho de que cada navegador tiene su propio directorio de complementos:

  • / usr / lib / firefox-addons / plugins (para Firefox)
  • / usr / lib / chromium-browser / plugins (para Chromium)

Entonces, lo único que tienes que hacer es unificarlos, es decir, hacer que uno sea el enlace al otro. Probablemente, todos los complementos estén en el directorio de complementos de Firefox, pero no vale la pena asegurarse de que:

ls -l /usr/lib/{mozilla,chromium-browser}/plugins

Si Firefox es donde están todos los complementos, haz lo siguiente. Si no, haz lo contrario:

sudo rmdir /usr/lib/chromium-browser/plugins
sudo ln -s /usr/lib/mozilla/plugins /usr/lib/chromium-browser/

Finalmente, reinicie Chromium para que los cambios entren en vigencia.

Probablemente, no sería una mala idea crear un informe de error en los mantenedores de paquetes Chromium / Firefox para alertar sobre el error y la solución simple.

    
respondido por el emi 16.08.2012 - 19:19
1

Bueno, publico esto aquí, con la esperanza de ayudar a alguien. Voy a decir lo que estaba sucediendo y cómo lo resolví.

CONFIGURACIÓN:
    Ejecutando 12.04 desde una instalación WUBI.

PROBLEMA:
    Cuando busqué en el Centro de software de Ubuntu la palabra clave flash , ninguna de las opciones publicadas aquí apareció, excepto UNA para un flash plugin para Mozilla. Al intentar instalarlo, recibí un error de dependencia.

Intenté instalarlo a través de los Extras Restringidos de Ubuntu del Centro de Software de Ubuntu, sin embargo, la porción del complemento flash de esta instalación no funcionó debido al error de dependencia.

Mantuvo la búsqueda y encontró este comando para instalar el complemento

sudo apt-get install flashplugin-nonfree

y lo ejecutó desde la terminal.

Mismo error de dependencia con esta salida:

Reading package lists... Done Building dependency tree        
Reading state information... Done Note, selecting 'flashplugin-installer' instead of 'flashplugin-nonfree' 
Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. 
The following information may help to resolve the situation:
The following packages have unmet dependencies:  
 flashplugin-installer : 
 Depends: libnspr4-0d but it is not going to be installed E: Unable to correct problems, you have held broken packages.

SOLUCIÓN:

Ejecuté

sudo apt-get install -f 

y luego

sudo apt-get update 

que encontré en otra publicación que intentaba resolver dependencias.

Luego corrí

sudo apt-get install flashplugin-nonfree

y el complemento flash ahora funciona en Chromium y Firefox.

    
respondido por el Joel 02.10.2012 - 17:55
1

Depende de cómo esté instalando. es a través de un archivo tar.gz o rpm o algún otro método. Hay muchas maneras de obtener flash.

Download link: https://get.adobe.com/flashplayer/

Installation instructions
-------------------------

Installing using the plugin tar.gz:
    o Unpack the plugin tar.gz and copy the files to the appropriate location.  
    o Save the plugin tar.gz locally and note the location the file was saved to.
    o Launch terminal and change directories to the location the file was saved to.
    o Unpack the tar.gz file.  Once unpacked you will see the following:
        + libflashplayer.so
        + /usr
    o Identify the location of the browser plugins directory, based on your Linux distribution and Firefox version
    o Copy libflashplayer.so to the appropriate browser plugins directory.  At the prompt type:
        + cp libflashlayer.so <BrowserPluginsLocation>
    o Copy the Flash Player Local Settings configurations files to the /usr directory.  At the prompt type:
        + sudo cp -r usr/* /usr

Installing the plugin using RPM:
   o As root, enter in terminal:
          + # rpm -Uvh <rpm_package_file>
          + Click Enter key and follow prompts

Installing the standalone player:
   o Unpack the tar.gz file
   o To execute the standalone player,
          + Double-click, or 
          + Enter in terminal: ./flashplayer

Bonificación:

Uninstallation instructions
---------------------------

Manual uninstallation (for users who installed the plugin via Install script):
   o Delete libflashplayer.so binary and flashplayer.xpt file in 
   directory /home/<user>/.mozilla/plugins/

RPM uninstallation:
   o As root, enter in terminal:
          + # rpm -e flash-plugin
          + Click Enter key and follow prompts
    
respondido por el Revanth Kumar 02.05.2015 - 03:59
0

Verifiqué muchas respuestas sobre este tema la semana pasada. Finalmente encontré un enlace con una solución que SI FUNCIONA:

enlace

Básicamente, la respuesta es que parece eliminarse de todas las fuentes de software y necesita descargar una versión anterior e instalarla manualmente

    
respondido por el palbeda 12.04.2017 - 16:33
0
  

Linux ya no es compatible con Adobe Flash Player en su tienda. Por lo tanto, debe hacerlo de forma manual.

  

Esto solo se verifica en Firefox. Si tienes Chrome / Chromium, no tienes que instalarlo.

Hay un procedimiento de Instalación manual de Adobe Flash Player en Ubuntu, siga estos pasos: -

  1. Abre este enlace . Le sugerirá automáticamente una versión de acuerdo con su entorno de escritorio.

  2. Seleccione la opción .tar.gz for Linux como se muestra en la siguiente captura de pantalla.

  3. Ahora haga clic en Botón de descarga (Seleccione la ruta de descarga como Descargas en su sistema para facilitar el acceso).

  4. Ahora extrae el archivo por Right clicking en la carpeta y selecciona la opción Extract Here .

  5. Abre Terminal CTRL+ALT+T y copia debajo del comando uno por uno

    5.1. cd ../

    5.2. cd your-pc-name (p. ej., paper96)

    5.3. cd Downloads (esta es la carpeta donde descargó el archivo en opción 3 ).

    5.4. cd flash_player_npapi_linux.x86_64 (Su nombre de archivo puede ser diferente solo copie el nombre del archivo y péguelo en el terminal)

    5.5. sudo mv libflashplayer.so \/usr/lib/firefox-addons/plugins pulsa enter y eso es todo.

  6. Ahora cierre su navegador (Firefox) y Terminal.

  7. Reinicia Firefox y ahora tienes Flash Player en tu navegador. Visita este enlace para verificarlo.

respondido por el Pankaj Gautam 17.07.2017 - 09:52

Lea otras preguntas en las etiquetas